%global git_tag b1bdab816fe2541091ed36931f933d03f02cf879

Name:           eclipse-remote
Version:        3.0.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Eclipse Remote Services plug-in
License:        EPL-1.0
URL:            https://www.eclipse.org/ptp/

Source0:        http://git.eclipse.org/c/ptp/org.eclipse.remote.git/snapshot/org.eclipse.remote-%{git_tag}.tar.xz

BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    jsch
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-license
BuildRequires:    eclipse-cdt
BuildRequires:    eclipse-tm-terminal

Requires:         jsch
Requires:         eclipse-platform

%description
Remote Services provides an extensible remote services framework.

%prep
%setup -q -n org.eclipse.remote-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# Remove use of tycho-sourceref-jgit (source is not a git repo)
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin releng/org.eclipse.remote.build/pom.xml

# Don't need to build repo or target platform for RPM builds
%pom_disable_module ../../releng/org.eclipse.remote.repo releng/org.eclipse.remote.build/pom.xml
%pom_disable_module ../../releng/org.eclipse.remote.target releng/org.eclipse.remote.build/pom.xml
%pom_xpath_remove "pom:target" releng/org.eclipse.remote.build/pom.xml

# Don't build the proxy product
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.product releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.linux.ppc64le releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.linux.x86_64 releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.macosx.x86_64 releng/org.eclipse.remote.build
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.linux.ppc64le']" \
  features/org.eclipse.remote.proxy-feature/feature.xml
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.linux.x86_64']" \
  features/org.eclipse.remote.proxy-feature/feature.xml
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.macosx.x86_64']" \
  features/org.eclipse.remote.proxy-feature/feature.xml

%mvn_package "::pom::" __noinstall

%build
%mvn_build  -j -- -Dproject.build.sourceEncoding=UTF-8 \
  -DforceContextQualifier=%(date -u +%%Y%%m%%d1000) \
  -f releng/org.eclipse.remote.build/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.remote-feature/epl-v10.html



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 3.0.1-2.mga8
+ Revision: 1527636
- Mageia 8 Mass Rebuild

* Fri Jul 19 2019 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1422740
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself

* Tue Jan 08 2019 daviddavid <daviddavid> 3.0.0-0.6.git14c6611.1.mga7
+ Revision: 1351609
- new version: 3.0.0 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 2.1.1-2.mga7
+ Revision: 1261187
- Mageia 7 Mass Rebuild

* Tue Oct 04 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1058561
- Update to Neon.1 release

* Sun Jul 03 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1038404
- Update to Neon release 2.1.0
- add patch to fix build

* Sun May 01 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 1008418
- Update for Mars.2
- Adopt license macro and set context qualifier

* Wed Mar 02 2016 neoclust <neoclust> 2.0.1-4.mga6
+ Revision: 982063
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.0.1-3.mga6
+ Revision: 975798
- First rebuild of the java stack
- sync package eclipse-remote with fedora

